# QContextMenuEvent Class Reference

### [com.trolltech.qt.gui package]

Inherits QInputEvent.

### Constructor

- void QContextMenuEvent(Reason reason, QPoint pos)
- void QContextMenuEvent(Reason reason, QPoint pos, QPoint globalPos)
- void QContextMenuEvent(Reason reason, QPoint pos, QPoint globalPos, KeyboardModifiers modifiers)

### Constructor Properties

- prototype: The QContextMenuEvent prototype object
- Mouse
- Keyboard
- Other
- Reason( value )

### Prototype Object Properties

The QContextMenuEvent prototype object inherits properties from the QInputEvent prototype object and also has the following properties.

- QPoint globalPos()
- int globalX()
- int globalY()
- QPoint pos()
- Reason reason()
- int x()
- int y()

### Instance Properties

QContextMenuEvent objects have no special properties beyond those inherited from the QContextMenuEvent prototype object.